Subject: Re: [next] arm64: allmodconfig: kernel BUG at include/linux/page-flags.h:509

From: Steven Rostedt <[email-masked]>
Date: Fri, 11 Mar 2022 18:36:07 -0500

On Fri, 11 Mar 2022 15:28:09 -0800
Beau Belgrave <[email-masked]> wrote:

> OK, you know more than I, so hopefully we can land on if we really need
> it or not. For now I've left it in.
> 
> > > 
> > > The other thing is that this patch applied to 5.10.X on ARM64 does not
> > > appear to hit this. Is it some weird interaction with something else or
> > > was 5.10.X just getting lucky?  
> > 
> > Perhaps it's because you allocated the page with kzalloc and not just
> > getting a page directly?

I sent a version that removes it, but I think we can add it back.

> >   
> 
> Yeah, I think so too. I was able to repro locally and validate that using
> alloc_pages directly fixes this by setting DEBUG_VM_PGFLAGS=y.
> 
> I've posted a patch for this:
> https://lore.kernel.org/linux-trace-devel/[email-masked]/

Just saw it (I screwed up my procmail settings getting rid of some more
spam, and ended up sending all my email to a ":" folder :-p)

If you want, I can send another version of my patch that doesn't remove the
reserve. But I like my patch as it sets the MAX_EVENTS based on a order and
not the other way around.

-- Steve